---
name: Bug report
about: Create a report to help VidGear improve
labels: "issue: bug"
---

<!--
    Please note that your issue will be fixed much faster if you spend about
    half an hour preparing it, including the exact reproduction steps and a demo.

    If you're in a hurry or don't feel confident, it's fine to report bugs with
    less details, but this makes it less likely they'll get fixed soon.

    If the important info is missing we'll add the 'Needs more information' label 
    or may choose to close the issue until there is enough information provided.
-->

## Description
<!--- Provide a more detailed introduction to the issue itself, and why you consider it to be a bug -->


### Acknowledgment

<!--- By posting an issue you acknowledge the following: -->

- [ ] A brief but descriptive Title of your issue
- [ ] I have searched the [issues](https://github.com/abhiTronix/vidgear/issues) for my issue and found nothing related or helpful.
- [ ] I have read the [FAQ](https://github.com/abhiTronix/vidgear/wiki/FAQ-&-Troubleshooting).
- [ ] I have read the [Wiki](https://github.com/abhiTronix/vidgear/wiki#vidgear).
- [ ] I have read the [Contributing Guidelines](https://github.com/abhiTronix/vidgear/blob/master/contributing.md).


### Environment

<!--- Include as many relevant details about the environment you experienced the bug in -->
* VidGear version:
* Branch: <!--- Master/Testing/Development/PyPi -->
* Python version:
* pip version:
* Operating System and version:

### Expected Behavior
<!--- Tell us what should happen -->

### Actual Behavior
<!--- Tell us what happens instead -->

### Possible Fix
<!--- Not obligatory, but suggest a fix or reason for the bug -->

### Steps to reproduce

<!--
  How would you describe your issue to someone who doesn’t know you or your project?
  Try to write a sequence of steps that anybody can repeat to see the issue.
-->

(Write your steps here:)

1. 
2. 
3. 


### Optional

<!--- Provide screenshots where appropriate -->

